from typing import Dict, List

from armarx_skills.slice import load_slice

load_slice()

from armarx_memory.aron.aron_ice_types import AronDataIceTypes

from armarx.skills.manager.dto import (
    ProviderID,
    SkillID,
    FluxioException,
    SkillDescription,
    ProviderInfo,
    SkillExecutionID,
    SkillStatusUpdate,
    SkillExecutionRequest,
    FluxioSkill,
    FluxioIdentificator,
    FluxioParameter,
    FluxioNode,
    FluxioEdge,
    FluxioProfile,
    FluxioProvider,
    FluxioValue,
    FluxioSkillStatusUpdate,
    FluxioTypeIdentificator,
)

from armarx_memory.aron.aron_ice_types import AronDataIceTypes

SkillDescriptionMap = Dict[SkillID, SkillDescription]
SkillStatusUpdateMap = Dict[SkillExecutionID, SkillStatusUpdate]
FluxioTypesMap = Dict[str, AronDataIceTypes]
FluxioSkillList = List[FluxioSkill]
FluxioParameterList = List[FluxioParameter]
FluxioValueList = List[FluxioValue]
FluxioNodeList = List[FluxioNode]
FluxioEdgeList = List[FluxioEdge]
FluxioProviderList = List[FluxioProvider]
FluxioProfileList = List[FluxioProfile]
FluxioSkillStatusUpdateList = List[FluxioSkillStatusUpdate]
FluxioIdentificatorList = List[FluxioIdentificator]
